DATA_SECTION
  init_number S
  init_number sigma
  init_int Nyears
  init_vector C(1,Nyears)
  init_int Nobs
  init_matrix CPUE(1,Nobs,1,2)
PARAMETER_SECTION
  init_number R   
  init_number q
  vector N(1,Nyears+1)
  objective_function_value f
PROCEDURE_SECTION
  f=0;
  N(1)=R/(1-S);
  for(int year=1;year<=Nyears;year++)
  {
	N(year+1)=S*N(year)+R-C(year);
  }
  for(int obs=1;obs<=Nobs;obs++)
  {
	f+= 0.5*square((log(CPUE(obs,2))-log(N(CPUE(obs,1))*q) ) / sigma);	
  }
REPORT_SECTION
  report<<N<<endl;

